| Low-Power Border Router

- Main Page
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# Lbrd.Lbrd.Lbrd Class Reference

A Low-Power Border server. More...

List of all members.

## Public Member Functions
def | __init__
def | start
def | getInternalUsername
def | indicateConnected
def | indicateActivity
def | addUser
| Add a new user.
def | backupDB
| Backs up the user database.
def | disconnectUser
| Disconnect a user.
def | removeUser
def | setUserLoglevel
def | getPrefix48
def | getNumUsers
def | getAllUserNames
def | getUserDbCopy
def | getPassword
def | getPublickey
def | getSubprefix
def | getSeclevel
def | getUserInfo
def | setPassword
def | setPublickey
def | setSeclevel
def | removePassword
def | removePublickey
def | existsUser
def | existsSubprefix
def | isGuestAccount
## Public Attributes
| prefix48
| varsLock
| userDB
| log
| cliThreadHandler
| daemonThreadHandler
| backUpThreadHandler
## Static Public Attributes
string | RADVD_CONFFILE = '/etc/radvd.conf'
string | RADVD_RESTART_COMMAND = '/etc/init.d/radvd restart > /dev/null'
string | USERDB_BACKUP_FILE = 'userDB.pkl'
string | CONNECTED = 'connected'
string | DISCONNECTED = 'disconnected'
string | ALL = 'all'
string | USER = 'client'
string | CLI = 'cli'

## Detailed Description

A Low-Power Border server.

## Constructor & Destructor Documentation

def Lbrd.Lbrd.Lbrd.__init__ | ( |  | self,
|  |  | prefix48
| ) |  |

## Member Function Documentation

def Lbrd.Lbrd.Lbrd.start | ( |  | self | ) |

def Lbrd.Lbrd.Lbrd.getInternalUsername | ( |  | self,
|  |  | externalUsername
| ) |  |

def Lbrd.Lbrd.Lbrd.indicateConnected | ( |  | self,
|  |  | username,
|  |  | conn,
|  |  | addr,
|  |  | port
| ) |  |

def Lbrd.Lbrd.Lbrd.indicateActivity | ( |  | self,
|  |  | userNameCaller,
|  |  | eventType,
|  |  | params
| ) |  |

def Lbrd.Lbrd.Lbrd.addUser | ( |  | self,
|  |  | username,
|  |  | userPrefix
| ) |  |

Add a new user.

Parameters:

  username | The name of the user, represented as a string.
  userPrefix | The subprefix of that user, represented as a string of 4 hexadecimal characters, i.e. '1234'

def Lbrd.Lbrd.Lbrd.backupDB | ( |  | self | ) |

Backs up the user database.

def Lbrd.Lbrd.Lbrd.disconnectUser | ( |  | self,
|  |  | username
| ) |  |

Disconnect a user.

Parameters:

  username | The name of the user to disconnect, represented as a string. Use 'all' to disconnect all users.

def Lbrd.Lbrd.Lbrd.removeUser | ( |  | self,
|  |  | username
| ) |  |

def Lbrd.Lbrd.Lbrd.setUserLoglevel | ( |  | self,
|  |  | username,
|  |  | loglevel
| ) |  |

def Lbrd.Lbrd.Lbrd.getPrefix48 | ( |  | self | ) |

def Lbrd.Lbrd.Lbrd.getNumUsers | ( |  | self | ) |

def Lbrd.Lbrd.Lbrd.getAllUserNames | ( |  | self | ) |

def Lbrd.Lbrd.Lbrd.getUserDbCopy | ( |  | self | ) |

def Lbrd.Lbrd.Lbrd.getPassword | ( |  | self,
|  |  | username
| ) |  |

def Lbrd.Lbrd.Lbrd.getPublickey | ( |  | self,
|  |  | username
| ) |  |

def Lbrd.Lbrd.Lbrd.getSubprefix | ( |  | self,
|  |  | username
| ) |  |

def Lbrd.Lbrd.Lbrd.getSeclevel | ( |  | self,
|  |  | username
| ) |  |

def Lbrd.Lbrd.Lbrd.getUserInfo | ( |  | self,
|  |  | username
| ) |  |

def Lbrd.Lbrd.Lbrd.setPassword | ( |  | self,
|  |  | username,
|  |  | password
| ) |  |

def Lbrd.Lbrd.Lbrd.setPublickey | ( |  | self,
|  |  | username,
|  |  | publickey
| ) |  |

def Lbrd.Lbrd.Lbrd.setSeclevel | ( |  | self,
|  |  | username,
|  |  | seclevel
| ) |  |

def Lbrd.Lbrd.Lbrd.removePassword | ( |  | self,
|  |  | username
| ) |  |

def Lbrd.Lbrd.Lbrd.removePublickey | ( |  | self,
|  |  | username
| ) |  |

def Lbrd.Lbrd.Lbrd.existsUser | ( |  | self,
|  |  | username
| ) |  |

def Lbrd.Lbrd.Lbrd.existsSubprefix | ( |  | self,
|  |  | subprefix
| ) |  |

def Lbrd.Lbrd.Lbrd.isGuestAccount | ( |  | self,
|  |  | username
| ) |  |

## Member Data Documentation

string Lbrd.Lbrd.Lbrd.RADVD_CONFFILE = '/etc/radvd.conf'`[static]`

string Lbrd.Lbrd.Lbrd.RADVD_RESTART_COMMAND = '/etc/init.d/radvd restart > /dev/null'`[static]`

string Lbrd.Lbrd.Lbrd.USERDB_BACKUP_FILE = 'userDB.pkl'`[static]`

string Lbrd.Lbrd.Lbrd.CONNECTED = 'connected'`[static]`

string Lbrd.Lbrd.Lbrd.DISCONNECTED = 'disconnected'`[static]`

string Lbrd.Lbrd.Lbrd.ALL = 'all'`[static]`

string Lbrd.Lbrd.Lbrd.USER = 'client'`[static]`

string Lbrd.Lbrd.Lbrd.CLI = 'cli'`[static]`

Lbrd.Lbrd.Lbrd.prefix48

Lbrd.Lbrd.Lbrd.varsLock

Lbrd.Lbrd.Lbrd.userDB

Lbrd.Lbrd.Lbrd.log

Lbrd.Lbrd.Lbrd.cliThreadHandler

Lbrd.Lbrd.Lbrd.daemonThreadHandler

Lbrd.Lbrd.Lbrd.backUpThreadHandler